#include "DialogSubmitTaskResult.h"
#include "ui_DialogSubmitTaskResult.h"
#include <QFileDialog>
#include <QDebug>
#include <QFile>
#include <QMessageBox>
#include "TaskOrder.h"
namespace WBFZTASK {
	DialogSubmitTaskResult::DialogSubmitTaskResult(QWidget* parent)
		: QDialog(parent)
		,ui(new Ui::DialogSubmitTaskResultClass)
	{
		ui->setupUi(this);
		QObject::connect(ui->pushButton_Select, SIGNAL(clicked()), this, SLOT(on_clicked_pushButton_Select()));
	}

	DialogSubmitTaskResult::~DialogSubmitTaskResult()
	{
	
	
	}
	void DialogSubmitTaskResult::SetTaskOrder(WBFZTASK::TaskOrder* task)
	{
		this->task = task;
		this->ui->lineEdit_applicant->setText(task->getApplicant());
 
		this->ui->lineEdit_contactinfo->setText(task->getContactInfo());
		this->ui->lineEdit_createtime->setText(task->getCreateTime());
		this->ui->lineEdit_ordercode->setText(task->getOrderCode());
		this->ui->lineEdit_orderid->setText(QString::number(task->getOrderId()));
 
	}
	void DialogSubmitTaskResult::accept()
	{
		QMessageBox::information(this, u8"Ϣ", u8"ɹļύɹ");
	}


	void DialogSubmitTaskResult::on_clicked_pushButton_Select() {
		// ļԻ
		QFileDialog fileDialog;
		fileDialog.setFileMode(QFileDialog::ExistingFiles);
		fileDialog.setNameFilter(tr("ZIP files (*.zip)"));
		fileDialog.setViewMode(QFileDialog::List);

		// ʾļԻ򲢻ȡѡеļ·
		QString fileNames=fileDialog.getOpenFileName();
 
		// ѡļ
		if (!fileNames.isEmpty())
		{
			QString fileName = fileNames; // ûѡһļ
			ui->lineEdit_ResultFilePath->setText(fileName);
			// Խһѡе ZIP ļȡѹ
		}
		else
		{
			qDebug() << "No file selected.";
		}
	}

}


/*
	QPushButton *pushButton_Select;
	QPushButton *okButton;
	QPushButton *cancelButton;

*/